GET /api/org/clients/:id

One client of the organisation, by our id.

Surface: organisation. Who may call: organisation-key. Key: organisation.clients.get.

Example request

curl -X GET https://caremcp.com/api/org/clients/7d1f0a0e-2c4b-4c7e-9a6e-000000000001 \
  -H "Authorization: Bearer <API key or session>"

Example input

{
  "id": "7d1f0a0e-2c4b-4c7e-9a6e-000000000001"
}

Input schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "id": {
   "type": "string",
   "format": "uuid",
   "pattern": "^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$"
  }
 },
 "required": [
  "id"
 ]
}

Output schema

{
 "$schema": "https://json-schema.org/draft/2020-12/schema",
 "type": "object",
 "properties": {
  "id": {
   "type": "string"
  },
  "email": {
   "type": [
    "string",
    "null"
   ]
  },
  "birthDate": {
   "type": "string",
   "format": "date",
   "pattern": "^(?:(?:\\d\\d[2468][048]|\\d\\d[13579][26]|\\d\\d0[48]|[02468][048]00|[13579][26]00)-02-29|\\d{4}-(?:(?:0[13578]|1[02])-(?:0[1-9]|[12]\\d|3[01])|(?:0[469]|11)-(?:0[1-9]|[12]\\d|30)|(?:02)-(?:0[1-9]|1\\d|2[0-8])))$"
  },
  "location": {
   "type": "object",
   "properties": {
    "country": {
     "type": "string",
     "pattern": "^[A-Z]{2}$"
    },
    "region": {
     "type": "string",
     "pattern": "^[A-Z0-9]{1,3}$"
    }
   },
   "required": [
    "country"
   ],
   "additionalProperties": false
  },
  "language": {
   "type": "string",
   "pattern": "^[a-z]{2}(-[A-Z]{2})?$"
  },
  "currency": {
   "type": "string",
   "enum": [
    "USD",
    "EUR"
   ]
  },
  "healthConsent": {
   "anyOf": [
    {
     "type": "object",
     "properties": {
      "version": {
       "type": "string"
      },
      "at": {
       "type": "string"
      }
     },
     "required": [
      "version",
      "at"
     ],
     "additionalProperties": false
    },
    {
     "type": "null"
    }
   ]
  },
  "organisationId": {
   "type": [
    "string",
    "null"
   ]
  },
  "createdAt": {
   "type": "string"
  },
  "externalRef": {
   "type": "string"
  }
 },
 "required": [
  "id",
  "email",
  "birthDate",
  "location",
  "language",
  "currency",
  "healthConsent",
  "organisationId",
  "createdAt",
  "externalRef"
 ],
 "additionalProperties": false
}